Subject: Re: [bug#48827] Guix Badge

From: Tissevert <[email-masked]>
Date: Fri, 4 Jun 2021 11:56:38 +0200

Hi !

It could be useful for web contents.

There seems to be a slight issue with the file format: I guess you have
worked on a default A4 document in inkscape. The file itself retains
those dimensions (`width="210mm"`, `height="297mm"`) which could lead to
surprises when integrated on a web page.

About the design, I find clean. Maybe a bit too much text ? I see badges
as something very minimal, for instance the example you link has a
single verb, two words on the first line, whereas ï¿½Deploy and Manageï¿½
makes you use another line. Even the name of the distro, couldn't we
refer to it as GuixSD ? It'd be shorter, and one word only, which would
be more compelling visually. The very small border radius seems a bit
unusual in badges to me (when thinking to things like we see on gitlab
or such).

Regards,

Tissevert

Le Fri, Jun 04, 2021 at 05:28:46AM -0400, Raghav Gururajan via Guix-patches via a ï¿½crit :
> Hello Guix!
> 
> I have created badges for Guix. The concept is same as flathub badges
> (https://flathub.org/badges). The software vendors can use the badge on
> their website, to express that the respective software can be deployed and
> managed using Guix. The badge can be hyper-linked to either official guix
> channel (https://guix.gnu.org/en/packages/) or vendor's own guix channel.
> 
> Thoughts?
> 
> Regards,
> RG.
> 
> P.S: Patches are to follow.
>